Subject: FW: generated hypertext (HTML) version of RFC2616 [yet again]

From: "Mike Spreitzer" <[email-masked]>
Date: Thu, 12 Aug 1999 13:21:05 PDT

Attached is that message from Dan Connolly that mysteriously failed to
reach the list.

Subject: generated hypertext (HTML) version of RFC2616
From: "Dan Connolly" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>, <[email-masked]>
Date: Sat, 31 Jul 1999 10:06:22 -0700

Henrik and anybody who's interested...

I'm doing some writing about the HTTP 1.1, and I was frustrated
that I can't make hypertext links to specific sections, and
in general, it's sort of a pain to navigate. So I scratched
the itch with a little perl script.

I just updated
	http://www.w3.org/Protocols/
	$Id: Overview.html,v 1.169 1999/07/31 16:24:46 connolly Exp $

to point to a hypertext version of the HTTP 1.1 draft standard:

	Hypertext Transfer Protocol -- HTTP/1.1
	derived from RFC2616 by way of 
	rfc2html.pl $Revision: 1.5 $ $Date: 1999/07/31 16:45:29 $ by
	Dan Connolly
	http://www.w3.org/Protocols/rfc2616/rfc2616.html

The generated HTML is split into sections:
	http://www.w3.org/Protocols/rfc2616/rfc2616-sec1.html
	http://www.w3.org/Protocols/rfc2616/rfc2616-sec2.html
	...

About the perl script:

==============
http://www.w3.org/Protocols/rfc2616/rfc2html.pl

#!/usr/bin/perl
# $Id: rfc2html.pl,v 1.6 1999/07/31 17:03:21 connolly Exp $
#
# Usage:
#  perl rfc2html.pl rfc2616.txt >rfc2616.html
#   also creates rfc2616-secN.html for each section N
#
# Features
#  splits by section
#  marks up paragraphs and definition lists
#  marks up section headings with anchors
#  marks up TOC with hypertext links
#  marks up indendet sections as <pre>
#  creates well-formed XML output
#
#
# TODO
#  update XML namespace declaration per XHTML spec
#  add link types (e.g. rel='bibref')
#  markup ul, ol in body text as such rather than as <pre>
#  markup references section with links to other RFCs and docs
#  generalize &convert() params: title, short title, basename,
bibsection
#     for other RFCs
#
# BY
#  Dan Connolly <[email-masked]>
#  http://www.w3.org/People/Connolly/
#
# LICENSE
#
# Copyright (c) 1999 World Wide Web Consortium (W3C,
http://www.w3.org/),
# (Massachusetts Institute of Technology, Institut National de
# Recherche en Informatique et en Automatique, Keio University). All
# Rights Reserved. 
#
# Permission to use, copy, modify, and distribute this software
# and its documentation for any purpose and without fee or
# royalty is hereby granted, per the terms and conditions in
#
# W3C Intellectual Property Notice and Legal Disclaimers
# http://www.w3.org/COPYRIGHT
# 1999/07/28 13:54:29

==============

-- 
Dan Connolly, W3C
http://www.w3.org/People/Connolly/